<?php

function upgrade_module_1_6_5($module)
{
    $result = update_1_6_5_configuration($module);
    $result &= $module->registerHook('actionFrontControllerSetMedia');
    return $result;
}

function update_1_6_5_configuration($module)
{
    $result = true;
    $result &= checkAndAddConfiguration('ESTO_PAY_CARD_IS_ACTIVE', 0);
    $result &= checkAndAddConfiguration('ESTO_PAY_CARD_CHECKOUT_LOGO', '');

    return $result;
}

function checkAndAddConfiguration($key, $default = null)
{
    if (Configuration::hasKey($key)) {
        return true;
    }

    $result = Configuration::updateValue($key, $default);
    return $result;
}
