$(document).on("click" , 'input[name="payment-option"]', function (){
    setTimeout(function(){
        var country_esto = $('#esto-countries-for-banks').val();
        if($('.esto-list-banks').is(':visible')) {
            $('#esto-country-' +country_esto + ' .esto-bank-label:first').click();
        }
    }, 100);
})

$(window).on("resize", function() {
    circleResizer();
})

$(document).on('DOMNodeInserted', function(e) {
    if ($(e.target).attr('id') == 'checkout-payment-step') {
        circleResizer();
    }
});

function circleResizer() {
    let windowWidth = $(window).width();
    let lines = $('.xcalc-line');

    if (windowWidth < 768) {
        lines.hide();
        return;
    }

    if (windowWidth > 768 && $(".xcalc-container").width() < 550) {
        lines.hide();
    } else {
        lines.show();
        lines.last().hide();
    }
}

$(document).on("change" , "#esto-countries-for-banks", function () {
    var country_esto = $(this).val();
    $('.esto-list-banks').css('display','none');
    $('#esto-country-'+country_esto).css('display','inline-block');
    setTimeout(function(){
        if($('.esto-list-banks').is(':visible')) {
            $('#esto-country-' +country_esto + ' .esto-bank-label:first').click();
        }
    }, 100);
})

$(document).on("click" , '.esto-bank-label', function () {
    if($('.js-payment-option-form').is(':visible')) {

        $("#esto-country-"+$( "#esto-countries-for-banks").val()+" label").each(function() {
            $(this).removeClass('esto-selected');
        });

        $(this).addClass('esto-selected');
        var esto_bank = $(this).data('value');
        var esto_bank_type = $(this).data('type');
        var esto_bank_country_code = $(this).data('country-code');
        var esto_bank_name = $(this).data('name');
        var esto_form_action = $('.js-payment-option-form:visible').find('form').attr('action');
        esto_form_action = esto_form_action.replace(/&esto-type.*/g, '');
        var new_esto_form_action = esto_form_action+'&esto-type='+esto_bank_type+'&esto-bank='+esto_bank+'&esto-bank-country-code='+esto_bank_country_code+'&esto-bank-name='+esto_bank_name;
        $('.js-payment-option-form:visible').find('form').attr('action', new_esto_form_action);
    }

    /*let form = $(this).closest(".additional-information").next('.js-payment-option-form');
    if(form) {
        $("#esto-country-"+$( "#esto-countries-for-banks").val()+" label").each(function() {
            $(this).removeClass('esto-selected');
        });

        $(this).addClass('esto-selected');
        var esto_bank = $(this).data('value');
        var esto_bank_type = $(this).data('type');
        var esto_bank_country_code = $(this).data('country-code');
        var esto_form_action = form.find('form').attr('action');
        esto_form_action = esto_form_action.replace(/&esto-type.*!/g, '');
        var new_esto_form_action = esto_form_action+'&esto-type='+esto_bank_type+'&esto-bank='+esto_bank+'&esto-bank-country-code='+esto_bank_country_code;;
        form.find('form').attr('action',new_esto_form_action);
    }*/
})
